Skip to main content
Server path: /genesys-alerts | Type: Application | PCID required: Yes

Tools

ToolDescription
genesys_alerts_delete_alerting_alertDelete an alert
genesys_alerts_delete_alerting_alerts_allDelete all alerts for the user
genesys_alerts_delete_alerting_ruleDelete a rule.
genesys_alerts_delete_processautomation_triggerDelete a Trigger
genesys_alerts_get_alerting_alertGet an alert
genesys_alerts_get_alerting_ruleGet a rule.
genesys_alerts_get_processautomation_triggerRetrieve a single Trigger matching id
genesys_alerts_get_processautomation_triggersRetrieves all triggers, optionally filtered by query parameters.
genesys_alerts_get_processautomation_triggers_topicsGet topics available for organization
genesys_alerts_patch_alerting_alertAllows an entity to mute/snooze an alert or update the unread status of the alert.
genesys_alerts_patch_alerting_alerts_allUpdates all alerts
genesys_alerts_post_alerting_alerts_queryGets a paged list of alerts. The max page size is 50
genesys_alerts_post_alerting_rulesCreate a Rule.
genesys_alerts_post_alerting_rules_queryGet a paged list of rules. The max size of the page is 50 items.
genesys_alerts_post_processautomation_trigger_testTest the matching of a Trigger based on provided event body
genesys_alerts_post_processautomation_triggersCreate a Trigger
genesys_alerts_post_processautomation_triggers_topic_testTest the matching of all organization Triggers on given topic using provided event body
genesys_alerts_put_alerting_alertUpdate an alert read status
genesys_alerts_put_alerting_ruleUpdate a rule
genesys_alerts_put_processautomation_triggerUpdate a Trigger

genesys_alerts_delete_alerting_alert

Delete an alert Parameters:
ParameterTypeRequiredDefaultDescription
alertIdstringYesAlert ID

genesys_alerts_delete_alerting_alerts_all

Delete all alerts for the user

genesys_alerts_delete_alerting_rule

Delete a rule. Parameters:
ParameterTypeRequiredDefaultDescription
ruleIdstringYesRule Id

genesys_alerts_delete_processautomation_trigger

Delete a Trigger Parameters:
ParameterTypeRequiredDefaultDescription
triggerIdstringYestriggerId

genesys_alerts_get_alerting_alert

Get an alert Parameters:
ParameterTypeRequiredDefaultDescription
alertIdstringYesAlert ID

genesys_alerts_get_alerting_rule

Get a rule. Parameters:
ParameterTypeRequiredDefaultDescription
ruleIdstringYesRule Id

genesys_alerts_get_processautomation_trigger

Retrieve a single Trigger matching id Parameters:
ParameterTypeRequiredDefaultDescription
triggerIdstringYestriggerId

genesys_alerts_get_processautomation_triggers

Retrieves all triggers, optionally filtered by query parameters. Parameters:
ParameterTypeRequiredDefaultDescription
beforestringNoThe cursor that points to the start of the set of entities that has been returned.
afterstringNoThe cursor that points to the end of the set of entities that has been returned.
pageSizestringNoNumber of entities to return. Maximum of 200.
topicNamestringNoTopic name(s). Separated by commas
enabledbooleanNoBoolean indicating desired enabled state of triggers
hasDelayBybooleanNoBoolean to filter based on delayBySeconds being set in triggers. Default returns all, true returns only those with delayBySeconds set, false returns those without delayBySeconds set.

genesys_alerts_get_processautomation_triggers_topics

Get topics available for organization Parameters:
ParameterTypeRequiredDefaultDescription
beforestringNoThe cursor that points to the start of the set of entities that has been returned.
afterstringNoThe cursor that points to the end of the set of entities that has been returned.
pageSizestringNoNumber of entities to return. Maximum of 200.

genesys_alerts_patch_alerting_alert

Allows an entity to mute/snooze an alert or update the unread status of the alert. Parameters:
ParameterTypeRequiredDefaultDescription
alertIdstringYesAlert ID
dateEndstringNoThe end date of the mute/snooze period. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z
dateStartstringNoThe start date of the mute/snooze period. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z
typestringNoThe action being taken on the alert.
unreadobjectNounread
validRequestbooleanNovalidRequest

genesys_alerts_patch_alerting_alerts_all

Updates all alerts Parameters:
ParameterTypeRequiredDefaultDescription
typestringNoThe action to take
unreadobjectNounread

genesys_alerts_post_alerting_alerts_query

Gets a paged list of alerts. The max page size is 50 Parameters:
ParameterTypeRequiredDefaultDescription
alertStatusstringNoThe status of the alerts the query will return.
pageNumberintegerNoThe page number of the queried response
pageSizeintegerNoThe number of entities to return of the queried response. The max is 25
queryTypestringNoThe type of query being performed.
ruleTypestringNoThe rule type of the alerts the query will return
sortBystringNoThe field to sort responses by. The accepted choices are Name and DateStart
sortOrderstringNoThe order in which response will be sorted. The accepted choices are Asc and Desc
viewedStatusstringNoThe view status of the alerts the query will return.

genesys_alerts_post_alerting_rules

Create a Rule. Parameters:
ParameterTypeRequiredDefaultDescription
conditionsobjectNoconditions
dateCreatedstringNoThe creation date of the rule when the rule was created. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z
dateLastModifiedstringNoThe timestamp of the last update to the rule. Date time is represented as an ISO-8601 string. For example: yyyy-MM-ddTHH:mm:ss[.mmm]Z
descriptionstringNoThe description of the rule.
enabledbooleanNoIndicates if the rule is enabled.
idstringNoThe globally unique identifier for the object.
inAlarmbooleanNoIndicates if the rule is in alarm state.
namestringYesName of the rule
notificationsany[]NoThe alert notification types to trigger when alarm state changes as well as the users they will be sent to.
selfUristringNoThe URI for this object
sendExitingAlarmNotificationsbooleanNoIndicates if the alert will send a notification when it is closed.
typestringYesThe type of the rule.
userobjectNouser
versionintegerNoThe current version number of the rule.
waitBetweenNotificationMsintegerNoThe amount of time in milliseconds to wait between notification.

genesys_alerts_post_alerting_rules_query

Get a paged list of rules. The max size of the page is 50 items. Parameters:
ParameterTypeRequiredDefaultDescription
enabledTypestringNoThe state of the rule the query will return. The accepted choices are Enabled, Disabled, or All
nameSearchTypestringNoSpecifies how strict the name search needs to be. Expected values are Exact and Contains if querying by name.
pageNumberintegerNoThe page number of the queried response
pageSizeintegerNoThe number of entities to return of the queried response. The max is 25
queryTypestringNoThe type of query being performed.
ruleNamestringNoThe name of the rule being queries.
ruleTypestringNoThe rule type of the alerts the query will return
sortBystringNoThe field to sort responses by. The accepted choices are Name and DateStart
sortOrderstringNoThe order in which response will be sorted. The accepted choices are Asc and Desc

genesys_alerts_post_processautomation_trigger_test

Test the matching of a Trigger based on provided event body Parameters:
ParameterTypeRequiredDefaultDescription
triggerIdstringYestriggerId
bodystringNoeventBody

genesys_alerts_post_processautomation_triggers

Create a Trigger Parameters:
ParameterTypeRequiredDefaultDescription
delayBySecondsintegerNoOptional delay invoking target after trigger fires. Must be in the range of 60 to 900 seconds. Only one of eventTTLSeconds or delayBySeconds can be set.
descriptionstringNoDescription of the trigger. Can be up to 512 characters in length.
enabledbooleanYesBoolean indicating if Trigger is enabled
eventTTLSecondsintegerNoOptional length of time that events are meaningful after origination. Events older than this threshold may be dropped if the platform is delayed in processing events. Unset means events are valid indefinitely, otherwise must be set to at least 10 seconds. Only one of eventTTLSeconds or delayBySeconds can be set.
matchCriteriaany[]NoThe configuration for when a trigger is considered to be a match for an event. When not provided, all events will fire the trigger
namestringYesThe name of the trigger
targetobjectYesThe target of a trigger invocation
topicNamestringYesThe topic that will cause the trigger to be invoked. Cannot be updated after creation. Valid topics can be found at /processautomation/triggers/topics

genesys_alerts_post_processautomation_triggers_topic_test

Test the matching of all organization Triggers on given topic using provided event body Parameters:
ParameterTypeRequiredDefaultDescription
topicNamestringYestopicName
bodystringNoeventBody

genesys_alerts_put_alerting_alert

Update an alert read status Parameters:
ParameterTypeRequiredDefaultDescription
alertIdstringYesAlert ID
unreadbooleanNoTrue is alert is unread, false if it has not been.

genesys_alerts_put_alerting_rule

Update a rule Parameters:
ParameterTypeRequiredDefaultDescription
ruleIdstringYesRule Id
conditionsobjectNoconditions
descriptionstringNoThe description of the rule.
enabledbooleanNoIndicates if the rule is enabled.
idstringNoThe globally unique identifier for the object.
namestringYesName of the rule
notificationsany[]NoThe alert notification types to trigger when alarm state changes as well as the users they will be sent to.
selfUristringNoThe URI for this object
sendExitingAlarmNotificationsbooleanNoIndicates if the alert will send a notification when it is closed.
waitBetweenNotificationMsintegerNoThe amount of time in milliseconds to wait between notification.

genesys_alerts_put_processautomation_trigger

Update a Trigger Parameters:
ParameterTypeRequiredDefaultDescription
triggerIdstringYestriggerId
delayBySecondsintegerNoOptional delay invoking target after trigger fires. Must be in the range of 60 to 900 seconds. Only one of eventTTLSeconds or delayBySeconds can be set.
descriptionstringNoDescription of the trigger. Can be up to 512 characters in length.
enabledbooleanYesBoolean indicating if Trigger is enabled
eventTTLSecondsintegerNoOptional length of time that events are meaningful after origination. Events older than this threshold may be dropped if the platform is delayed in processing events. Unset means events are valid indefinitely, otherwise must be set to at least 10 seconds. Only one of eventTTLSeconds or delayBySeconds can be set.
matchCriteriaany[]NoThe configuration for when a trigger is considered to be a match for an event
namestringYesThe name of the trigger
targetobjectYesThe target of a trigger invocation
topicNamestringYesThe topic that will cause the trigger to be invoked. Must match existing trigger topicName.
versionintegerYesVersion of this trigger